co.aikar.commands

## Class CommandCompletionContext<I extends CommandIssuer>

- java.lang.Object
- - co.aikar.commands.CommandCompletionContext<I>

    public class CommandCompletionContext<I extends CommandIssuer>
    extends Object

### Field Summary

Fields
`protected I` `issuer`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getConfig()`
`String` `getConfig(String key)`
`String` `getConfig(String key, String def)`
`Map<String,String>` `getConfigs()`
`<T> T` `getContextValue(Class<? extends T> clazz)`
`<T> T` `getContextValue(Class<? extends T> clazz, Integer paramIdx)`
`String` `getInput()`
`CommandIssuer` `getIssuer()`
`boolean` `hasConfig(String key)`
`boolean` `isAsync()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### issuer

    protected final I extends CommandIssuer issuer

### Method Detail

#### getConfigs

    public Map<String,String> getConfigs()

#### getConfig

    public String getConfig(String key)

#### getConfig

    public String getConfig(String key,
                            String def)

#### hasConfig

    public boolean hasConfig(String key)

#### getContextValue

    public <T> T getContextValue(Class<? extends T> clazz)
                          throws InvalidCommandArgument

Throws:
  `InvalidCommandArgument`

#### getContextValue

    public <T> T getContextValue(Class<? extends T> clazz,
                                 Integer paramIdx)
                          throws InvalidCommandArgument

Throws:
  `InvalidCommandArgument`

#### getIssuer

    public CommandIssuer getIssuer()

#### getInput

    public String getInput()

#### getConfig

    public String getConfig()

#### isAsync

    public boolean isAsync()